<?xml version="1.0" encoding="utf-8" standalone="no"?>
<modDesc descVersion="61">
    <author>FS Miner/CYSG</author>
    <version>1.1.0.0</version>
    <title>
        <en>Volvo EC750EL Excavator</en>
        <de>Volvo EC750EL Bagger</de>
        <fr>Volvo EC750EL Excavatrice</fr>
    </title>
    <description>
        <en><![CDATA[Volvo EC750EL Excavator]]></en>
        <de><![CDATA[Volvo EC750EL Bagger]]></de>
        <fr><![CDATA[Volvo EC750EL Excavatrice]]></fr>
    </description>

    <iconFilename>modIcon.dds</iconFilename>
    <multiplayer supported="true" />
    <l10n>
        <text name="FSMiner">
            <en>FS Miner x CYSG</en>
            <de>FS Miner x CYSG</de>
            <fr>FS Miner x CYSG</fr>
        </text>

        <text name="ec750">
            <en>Excavator</en>
            <de>Bagger</de>
            <fr>Excavatrice</fr>
        </text>
        <text name="typeDesc_ec750">
            <en>Engine speed Excavator</en>
            <de>Motordrehzahl Bagger</de>
            <fr>Regime Moteur Excavatrice</fr>
        </text>
        <text name="function_ec750">
            <en>Volvo EC750EL</en>
            <de>Volvo EC750EL</de>
            <fr>Volvo EC750EL</fr>
        </text>

        <text name="typeDesc_excavatorTool">
            <en>Excavator Bucket</en>
        </text>

        <text name="configuration_cab">
            <en>Cab Guard</en>
        </text>

        <text name="close">
            <en>Close Door</en>
            <de>Tür schließen</de>
            <fr>Fermer la porte</fr>
        </text>
        <text name="open">
            <en>Open Door</en>
            <de>Tür öffnen</de>
            <fr>Porte ouverte</fr>
        </text>
        <text name="unfold">
            <en>Add Bucket Collision</en>
        </text>
        <text name="fold">
            <en>Remove Bucket Collision</en>
        </text>
    </l10n>

    <extraSourceFiles>
        <sourceFile filename="scripts/AddStoreCategory.lua" />
    </extraSourceFiles>

    <vehicleTypes>
        <type name="ec750" parent="tractor" className="Vehicle" filename="$dataS/scripts/vehicles/Vehicle.lua">
            <specialization name="foldable" />
            <specialization name="powerConsumer" />
        </type>
        <type name="kouppaEC750" parent="baseFillable" className="Vehicle" filename="$dataS/scripts/vehicles/Vehicle.lua">
            <specialization name="dischargeable" />
            <specialization name="bunkerSiloInteractor" />
            <specialization name="shovel" />
            <specialization name="FS22_1_TerraFarm.machine" />
        </type>
    </vehicleTypes>

    <jointTypes>
        <jointType name="volvoBucket" />
    </jointTypes>

    <storeItems>
        <newStoreCategories>
            <newStoreCategory type="VEHICLE" name="FSMINERCYSG" title="$l10n_FSMiner" image="fsminerCYSG.dds" />
        </newStoreCategories>

        <storeItem rootNode="vehicle" xmlFilename="volvoEC750.xml" />
        <storeItem rootNode="vehicle" xmlFilename="Bucket1.xml" />
        <storeItem rootNode="vehicle" xmlFilename="Bucket2.xml" />
    </storeItems>

    <brands>
        <brand name="VOLVO" title="VOLVO" image="brand.dds" />
    </brands>

</modDesc>